import { Workflow } from '../../../models/Workflow';
import { FormEntity } from '../../../models/FormEntity';
import { Tag } from '../../../models/Tag';
import { WorkflowMetadata } from '../models/types';
import * as i0 from "@angular/core";
export declare class WorkflowPersistenceService {
    private workflowState;
    private mapper;
    private service;
    private currentWorkflowMetadata;
    get workflowMetadata(): WorkflowMetadata;
    saveWorkflow(): Promise<Workflow[]>;
    loadWorkflow(workflowId: string): Promise<void>;
    updateWorkflowMetadata(metadata: Partial<WorkflowMetadata>): void;
    createNewWorkflow(name: string, description?: string): void;
    updateWorkflow(workflowName: string, description?: string): Promise<Workflow[]>;
    loadWorkflows(): Promise<Workflow[]>;
    loadForms(): Promise<FormEntity[]>;
    loadTags(): Promise<Tag[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowPersistenceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkflowPersistenceService>;
}
